---
type: api
title: Get the alerting framework health
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-getalertinghealth
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-getalertinghealth
products:
  - Kibana
---

# Get the alerting framework health

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/alerting/_health`
- `GET` `/s/{space_id}/api/alerting/_health`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

You must have `read` privileges for the **Management > Stack Rules** feature or for at least one of the **Analytics > Discover**, **Analytics > Machine Learning**, **Observability**, or **Security** features.

## Responses

#### `200`

Indicates a successful call.

`application/json`

- `alerting_framework_health` (object)
  Three substates identify the health of the alerting framework: `decryption_health`, `execution_health`, and `read_health`.
  - `decryption_health` (object)
    The timestamp and status of the rule decryption.
    - `status` (enum)
      Values: `error`, `ok`, `warn`
    - `timestamp` (string)
  - `execution_health` (object)
    The timestamp and status of the rule run.
    - `status` (enum)
      Values: `error`, `ok`, `warn`
    - `timestamp` (string)
  - `read_health` (object)
    The timestamp and status of the rule reading events.
    - `status` (enum)
      Values: `error`, `ok`, `warn`
    - `timestamp` (string)
- `has_permanent_encryption_key` (boolean)
  If `false`, the encrypted saved object plugin does not have a permanent encryption key.
- `is_sufficiently_secure` (boolean)
  If `false`, security is enabled but TLS is not.
#### `401`

Authorization information is missing or invalid.

`application/json`

- `error` (enum)
  Values: `Unauthorized`
- `message` (string)
- `statusCode` (enum)
  Values: `401`
## Code Examples

#### Console

```console
GET /api/alerting/_health
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/alerting/_health"
```

## Response Examples

#### Retrieve information about the health of the alerting framework.

```json
{
  "alerting_framework_health": {
    "decryption_health": {
      "status": "ok",
      "timestamp": "2023-01-13T01:28:00.280Z"
    },
    "execution_health": {
      "status": "ok",
      "timestamp": "2023-01-13T01:28:00.280Z"
    },
    "read_health": {
      "status": "ok",
      "timestamp": "2023-01-13T01:28:00.280Z"
    }
  },
  "has_permanent_encryption_key": true,
  "is_sufficiently_secure": true
}
```

